{#<pagetitle>NHS.UK | Nominated person - contact details</pagetitle>#}
{% from '../../../common/components/p/macro.njk' import p %}
{% from '../../../common/components/heading/macro.njk' import heading %}
{% from '../../../common/components/input/macro.njk' import input %}
{% from '../../../common/components/button/macro.njk' import button %}

{{
    heading({
        subHeading:{ text: 'representative-contact.section.heading'},
        text: 'representative-contact.h1',
        classes: 'nhsuk-fieldset__heading',
        locale: locale
    })
}}

<form action="representative-contact" method="post" class="form">
    {{ p({text:'representative-contact.hint1', classes:'nhsuk-hint', locale:locale}) }}
    {{
        input({
            "formGroup": {
                   classes: "nhsuk-form-group"
            },
            "fieldset": {
                   classes: "nhsuk-fieldset"
            },
            "label": {
               text: "representative-contact.input1",
               locale: locale
            },
            id: 'RepresentativeMobileTelNo',
            name: 'RepresentativeMobileTelNo',
            classes: 'nhsuk-input--width-20',
            value: data.Representative.RepresentativeMobileTelNo,
            "errorMessage": parseErrors(errors, 'RepresentativeMobileTelNo')
        })
    }}
    {{
        input({
            "formGroup": {
                   classes: "nhsuk-form-group"
            },
            "fieldset": {
                   classes: "nhsuk-fieldset"
            },
            "label": {
               text: "representative-contact.input2",
               locale: locale
            },
            id: 'RepresentativeHomeTelNo',
            name: 'RepresentativeHomeTelNo',
            classes: 'nhsuk-input--width-20',
            value: data.Representative.RepresentativeHomeTelNo,
            "errorMessage": parseErrors(errors, 'RepresentativeHomeTelNo')
        })
    }}
    {{
        input({
            "formGroup": {
                   classes: "nhsuk-form-group"
            },
            "fieldset": {
                   classes: "nhsuk-fieldset"
            },
            "label": {
               text: "representative-contact.input3",
               locale: locale
            },
            id: 'RepresentativeWorkTelNo',
            name: 'RepresentativeWorkTelNo',
            classes: 'nhsuk-input--width-20',
            value: data.Representative.RepresentativeWorkTelNo,
            "errorMessage": parseErrors(errors, 'RepresentativeWorkTelNo')
        })
    }}
    {{ p({text:'representative-contact.hint2', classes:'nhsuk-hint', locale: locale}) }}
    {{
        input({
            "formGroup": {
                   classes: "nhsuk-form-group"
            },
            "fieldset": {
                   classes: "nhsuk-fieldset"
            },
            "label": {
               text: "representative-contact.input4",
               locale: locale
            },
            id: 'RepresentativeEmailAddress',
            name: 'RepresentativeEmailAddress',
            classes: 'nhsuk-input--width-20',
            value: data.Representative.RepresentativeEmailAddress,
            "errorMessage": parseErrors(errors, 'RepresentativeEmailAddress')
        })
    }}
    <br/>
    {{ button({
        type: "submit",
        text: "common.button.continue",
        locale: locale
    }) }}
</form>
